<?php
/**
 * progression Theme Customizer
 *
 * @package progression
 */

function adding_progression_google_fonts_customizer( $wp_customize ) {
    
    $wp_customize->add_section( 'progression-studios-navigation-font', array(
    	'title'          => esc_html__( 'Navigation', 'xion-progression' ),
    	'panel'          => 'progression_studios_header_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    $wp_customize->add_section( 'progression-studios-sub-navigation-font', array(
    	'title'          => esc_html__( 'Sub-Navigation', 'xion-progression' ),
    	'panel'          => 'progression_studios_header_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    
    $wp_customize->add_section( 'progression-studios-top-header-font', array(
    	'title'          => esc_html__( 'Top Header Options', 'xion-progression' ),
    	'panel'          => 'progression_studios_header_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    $wp_customize->add_section( 'progression-studios-body-font', array(
    	'title'          => esc_html__( 'Body Main', 'xion-progression' ),
    	'panel'          => 'progression_studios_body_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    
    $wp_customize->add_section( 'progression-studios-page-title', array(
    	'title'          => esc_html__( 'Page Title', 'xion-progression' ),
    	'panel'          => 'progression_studios_body_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    $wp_customize->add_section( 'progression-studios-widgets-font', array(
    	'title'          => esc_html__( 'Footer Main', 'xion-progression' ),
    	'panel'          => 'progression_studios_footer_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
	
    $wp_customize->add_section( 'progression-studios-footer-nav-font', array(
    	'title'          => esc_html__( 'Footer Navigation', 'xion-progression' ),
    	'panel'          => 'progression_studios_footer_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    $wp_customize->add_section( 'progression-studios-default-headings', array(
    	'title'          => esc_html__( 'H1-H6 Headings', 'xion-progression' ),
    	'panel'          => 'progression_studios_body_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    $wp_customize->add_section( 'progression-studios-sidebar-headings', array(
    	'title'          => esc_html__( 'Sidebar Options', 'xion-progression' ),
    	'panel'          => 'progression_studios_body_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    

    
    $wp_customize->add_section( 'progression-studios-button-typography', array(
    	'title'          => esc_html__( 'Button/Input Styles', 'xion-progression' ),
    	'panel'          => 'progression_studios_body_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    
    $wp_customize->add_section( 'progression-studios-blog-headings', array(
    	'title'          => esc_html__( 'Default Layout Styles', 'xion-progression' ),
    	'panel'          => 'progression_studios_blog_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    
    $wp_customize->add_section( 'progression-studios-blog-post-title', array(
    	'title'          => esc_html__( 'Blog Post Page Title', 'xion-progression' ),
    	'panel'          => 'progression_studios_blog_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    
    $wp_customize->add_section( 'progression-studios-blog-post-options', array(
    	'title'          => esc_html__( 'Blog Post Options', 'xion-progression' ),
    	'panel'          => 'progression_studios_blog_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    
    
    
    $wp_customize->add_section( 'progression-studios-blog-post-styles', array(
    	'title'          => esc_html__( 'Blog Post Styles', 'xion-progression' ),
    	'panel'          => 'progression_studios_blog_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    

    $wp_customize->add_section( 'progression-studios-shop-index-styles', array(
    	'title'          => esc_html__( 'Shop Index Styles', 'xion-progression' ),
    	'panel'          => 'woocommerce', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    
    $wp_customize->add_section( 'progression-studios-shop-styles', array(
    	'title'          => esc_html__( 'Shop Post Styles', 'xion-progression' ),
    	'panel'          => 'woocommerce', // Not typically needed.
        'priority'       => 50,
    	) 
    );
    
    
    $wp_customize->add_section( 'progression-studios-portfolio-archives', array(
    	'title'          => esc_html__( 'Game/Portfolio Typography', 'xion-progression' ),
    	'panel'          => 'progression_studios_portfolio_panel', // Not typically needed.
        'priority'       => 50,
    	) 
    );

   $wp_customize->add_section( 'progression-studios-portfolio-post-title', array(
       'title'       => esc_html__('Game/Portfolio Post', 'xion-progression'),
   	'panel'          => 'progression_studios_portfolio_panel', // Not typically needed.
       'priority'       => 50,
   	) 
   );

}
add_action( 'customize_register', 'adding_progression_google_fonts_customizer' );

/**
 * How to add a font control to your tab
 *
 * @see  parse_font_control_array() - in class EGF_Register_Options
 *       in includes/class-egf-register-options.php to see the full
 *       properties you can add for each font control.
 *
 *
 * @param   array $controls - Existing Controls.
 * @return  array $controls - Controls with controls added/removed.
 *
 * @since 1.0
 * @version 1.0
 *
 */
function progression_studios_add_control_to_tab( $controls ) {

    /**
     * 1. Removing default styles because we add-in our own
     */
    unset( $controls['tt_default_body'] );
    unset( $controls['tt_default_heading_1'] );
    unset( $controls['tt_default_heading_2'] );
    unset( $controls['tt_default_heading_3'] );
    unset( $controls['tt_default_heading_4'] );
    unset( $controls['tt_default_heading_5'] );
    unset( $controls['tt_default_heading_6'] );
	 
	 
    /**
     * 2. Now custom examples that are theme specific
     */
	 
	
    $controls['progression_studios_body_font_family'] = array(
        'name'       => 'progression_studios_body_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Body Font', 'xion-progression'),
        'tab'        => 'progression-studios-body-font',
        'properties' => array( 'selector'   => 'body,  body input, body textarea, select' ),
 		 
    );
	 
    $controls['progression_studios_heading_h1'] = array(
        'name'       => 'progression_studios_heading_h1',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 1', 'xion-progression'),
        'tab'        => 'progression-studios-default-headings',
        'properties' => array( 'selector'   => 'h1' ),
 		 
    );
	
    $controls['progression_studios_heading_h2'] = array(
        'name'       => 'progression_studios_heading_h2',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 2', 'xion-progression'),
        'tab'        => 'progression-studios-default-headings',
        'properties' => array( 'selector'   => 'h2' ),
 		 
    );
	
    $controls['progression_studios_heading_h3'] = array(
        'name'       => 'progression_studios_heading_h3',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 3', 'xion-progression'),
        'tab'        => 'progression-studios-default-headings',
        'properties' => array( 'selector'   => 'h3' ),
 		 
    );
	
    $controls['progression_studios_heading_h4'] = array(
        'name'       => 'progression_studios_heading_h4',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 4', 'xion-progression'),
        'tab'        => 'progression-studios-default-headings',
        'properties' => array( 'selector'   => 'h4' ),
 		 
    );
	 
    $controls['progression_studios_heading_h5'] = array(
        'name'       => 'progression_studios_heading_h5',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 5', 'xion-progression'),
        'tab'        => 'progression-studios-default-headings',
        'properties' => array( 'selector'   => 'h5' ),
 		 
    );
	 
    $controls['progression_studios_heading_h6'] = array(
        'name'       => 'progression_studios_heading_h6',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 6', 'xion-progression'),
        'tab'        => 'progression-studios-default-headings',
        'properties' => array( 'selector'   => 'h6' ),
 		 
    );
	 
	 
	 
    $controls['progression_studios_page_title_font_family'] = array(
        'name'       => 'progression_studios_page_title_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Page Title Font', 'xion-progression'),
        'tab'        => 'progression-studios-page-title',
        'properties' => array( 'selector'   => '#page-title-pro h1' ),
 		 
    );
	 
	 
    $controls['progression_studios_page_sub_title_font_family'] = array(
        'name'       => 'progression_studios_page_sub_title_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Page Sub-Title Font', 'xion-progression'),
        'tab'        => 'progression-studios-page-title',
        'properties' => array( 'selector'   => '#page-title-pro h4' ),
 		 
    );
	 
	 
	 
	 
    $controls['progression_studios_nav_font_family'] = array(
        'name'       => 'progression_studios_nav_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Navigation Font Family', 'xion-progression'),
        'tab'        => 'progression-studios-navigation-font',
        'properties' => array( 'selector'   => 'ul.mobile-menu-pro li a, ul.progression-studios-call-to-action li a, #progression-studios-header-search-icon i.pe-7s-search span, #progression-studios-header-login-container a.progresion-studios-login-icon span, nav#site-navigation, nav#progression-studios-right-navigation' ),
 		 
    );

	 
    $controls['progression_studios_sub_nav_font_family'] = array(
        'name'       => 'progression_studios_sub_nav_font_family',
 	'type'        => 'font',
        'title'      =>  esc_html__('Sub-Navigation Font Family', 'xion-progression'),
        'tab'        => 'progression-studios-sub-navigation-font',
        'properties' => array( 'selector'   => '#main-nav-mobile, ul#progression-studios-panel-login, .sf-menu ul' ),
 	
    );
	 

	 
	 
    $controls['progression_studios_top_header_default'] = array(
        'name'       => 'progression_studios_top_header_default',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Top Header Font', 'xion-progression'),
        'tab'        => 'progression-studios-top-header-font',
        'properties' => array( 'selector'   => '#xion-progression-header-top' ),
 		 
    );
	 
    $controls['progression_studios_sub_nav_megamenu'] = array(
        'name'       => 'progression_studios_sub_nav_megamenu',
 	'type'        => 'font',
        'title'      =>  esc_html__('Mega Menu Heading', 'xion-progression'),
        'tab'        => 'progression-studios-sub-navigation-font',
        'properties' => array( 'selector'   => 'body header .progression-sticky-scrolled .sf-menu .sf-mega h2.mega-menu-heading a, body header .progression-sticky-scrolled .sf-menu .sf-mega h2.mega-menu-heading a:hover, body header .sf-menu .sf-mega h2.mega-menu-heading a, body header .sf-menu .sf-mega h2.mega-menu-heading a:hover, body #progression-sticky-header header ul.mobile-menu-pro h2.mega-menu-heading a, body header ul.mobile-menu-pro .sf-mega h2.mega-menu-heading a, ul.mobile-menu-pro .sf-mega h2.mega-menu-heading a, ul.mobile-menu-pro .sf-mega h2.mega-menu-heading, .sf-mega h2.mega-menu-heading, body #progression-sticky-header header .sf-mega h2.mega-menu-heading a, body header .sf-mega h2.mega-menu-heading a' ),
 	
    );
	 



	 
    $controls['progression_studios_sidebar_heading'] = array(
        'name'       => 'progression_studios_sidebar_heading',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Sidebar Heading', 'xion-progression'),
        'tab'        => 'progression-studios-sidebar-headings',
        'properties' => array( 'selector'   => '.sidebar h4.widget-title, .sidebar h2.widget-title' ),
 		 
    );
	 
	 
    $controls['progression_studios_sidebar_default'] = array(
        'name'       => 'progression_studios_sidebar_default',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Sidebar Default Text', 'xion-progression'),
        'tab'        => 'progression-studios-sidebar-headings',
        'properties' => array( 'selector'   => '.sidebar' ),
 		 
    );
	 
	 
    $controls['progression_studios_sidebar_link'] = array(
        'name'       => 'progression_studios_sidebar_link',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Sidebar Default Link', 'xion-progression'),
        'tab'        => 'progression-studios-sidebar-headings',
        'properties' => array( 'selector'   => '.sidebar a' ),
 		 
    );
	 
    $controls['progression_studios_sidebar_link_hover'] = array(
        'name'       => 'progression_studios_sidebar_link_hover',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Sidebar Link Hover', 'xion-progression'),
        'tab'        => 'progression-studios-sidebar-headings',
        'properties' => array( 'selector'   => '.sidebar ul li.current-cat, .sidebar ul li.current-cat a, .sidebar a:hover' ),
 		 
    );
	 
	 
	 
	 
    $controls['progression_studios_button_font_family'] = array(
        'name'       => 'progression_studios_button_font_family',
 	'type'        => 'font',
        'title'      =>  esc_html__('Button Font Family', 'xion-progression'),
        'tab'        => 'progression-studios-button-typography',
        'properties' => array( 'selector'   => '.wp-block-button a.wp-block-button__link, #boxed-layout-pro .form-submit input#submit, #boxed-layout-pro button.button, #boxed-layout-pro a.button, .progression-studios-shop-overlay-buttons a.added_to_cart, .infinite-nav-pro a, .progression-blog-content a.more-link, .tags-progression a, .tagcloud a, .post-password-form input[type=submit], #respond input.submit, .wpcf7-form input.wpcf7-submit' ),
 	
    );
    
	 
	 
	 
    $controls['progression_studios_blog_title_font'] = array(
        'name'       => 'progression_studios_blog_title_font',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Title', 'xion-progression'),
        'tab'        => 'progression-studios-blog-headings',
        'properties' => array( 'selector'   => 'h2.progression-blog-title' ),
 		 
    );
	 
	 
    $controls['progression_studios_blog_byline_font'] = array(
        'name'       => 'progression_studios_blog_byline_font',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Post Meta', 'xion-progression'),
        'tab'        => 'progression-studios-blog-headings',
        'properties' => array( 'selector'   => 'ul.progression-post-meta li, ul.progression-post-meta li a' ),
 		 
    );
	 
    $controls['progression_studios_blog_byline_link_font_hover'] = array(
        'name'       => 'progression_studios_blog_byline_link_font_hover',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Post Meta Hover', 'xion-progression'),
        'tab'        => 'progression-studios-blog-headings',
        'properties' => array( 'selector'   => 'ul.progression-post-meta li a:hover' ),
 		 
    );
	 
	 
    $controls['progression_studios_blog_cat_font'] = array(
        'name'       => 'progression_studios_blog_cat_font',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Category Link', 'xion-progression'),
        'tab'        => 'progression-studios-blog-headings',
        'properties' => array( 'selector'   => '.blog-meta-category-list a' ),
 		 
    );
	 
	 
    $controls['progression_studios_blog_cat_font_hover'] = array(
        'name'       => 'progression_studios_blog_cat_font_hover',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Category Link Hover', 'xion-progression'),
        'tab'        => 'progression-studios-blog-headings',
        'properties' => array( 'selector'   => '.blog-meta-category-list a:hover' ),
 		 
    );
	 
	 
	

	 
	 
	 
	 
    
    $controls['progression_studios_post_title_font_family'] = array(
        'name'       => 'progression_studios_post_title_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Post Title', 'xion-progression'),
        'tab'        => 'progression-studios-blog-post-title',
        'properties' => array( 'selector'   => 'body.single-post #page-title-pro h1' ),
 		 
    );
	 
    $controls['progression_studios_post_title_cat'] = array(
        'name'       => 'progression_studios_post_title_cat',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Post Title Category', 'xion-progression'),
        'tab'        => 'progression-studios-blog-post-title',
        'properties' => array( 'selector'   => '.blog-single-category-display a' ),
 		 
    );

	 
	 
    $controls['progression_studios_post_title_cat_hover'] = array(
        'name'       => 'progression_studios_post_title_cat_hover',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Post Title Category Hover', 'xion-progression'),
        'tab'        => 'progression-studios-blog-post-title',
        'properties' => array( 'selector'   => '.blog-single-category-display a:hover' ),
 		 
    );
	 
    $controls['progression_studios_post_title_meta'] = array(
        'name'       => 'progression_studios_post_title_meta',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Post Title Meta', 'xion-progression'),
        'tab'        => 'progression-studios-blog-post-title',
        'properties' => array( 'selector'   => 'ul.progression-single-post-meta li, ul.progression-single-post-meta li a' ),
 		 
    );
	 
    $controls['progression_studios_post_title_meta_hover'] = array(
        'name'       => 'progression_studios_post_title_meta_hover',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Post Title Meta Hover', 'xion-progression'),
        'tab'        => 'progression-studios-blog-post-title',
        'properties' => array( 'selector'   => 'ul.progression-single-post-meta li a:hover' ),
 		 
    );
	 
	 
	 
	 
	 
    $controls['progression_studios_post_comment_heading'] = array(
        'name'       => 'progression_studios_post_comment_heading',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Post Comment Heading', 'xion-progression'),
        'tab'        => 'progression-studios-blog-post-options',
        'properties' => array( 'selector'   => '#comments h3' ),
 		 
    );
	 
	 
	 
	 
    $controls['progression_studios_shop_index_title'] = array(
        'name'       => 'progression_studios_shop_index_title',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Shop Index Title', 'xion-progression'),
        'tab'        => 'progression-studios-shop-index-styles',
        'properties' => array( 'selector'   => '#content-pro ul.products h2.woocommerce-loop-product__title' ),
 		 
    );
	 
    $controls['progression_studios_shop_index_title_hover'] = array(
        'name'       => 'progression_studios_shop_index_title_hover',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Shop Index Title Hover', 'xion-progression'),
        'tab'        => 'progression-studios-shop-index-styles',
        'properties' => array( 'selector'   => '#content-pro ul.products a:hover h2.woocommerce-loop-product__title' ),
 		 
    );
	 
	 
	 
    $controls['progression_studios_shop_category'] = array(
        'name'       => 'progression_studios_shop_category',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Shop Category', 'xion-progression'),
        'tab'        => 'progression-studios-shop-index-styles',
        'properties' => array( 'selector'   => '#content-pro ul.products li.product ul.xion-shop-index-category li a' ),
 		 
    );


	 
    $controls['progression_studios_shop_index_price'] = array(
        'name'       => 'progression_studios_shop_index_price',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Shop Index Price', 'xion-progression'),
        'tab'        => 'progression-studios-shop-index-styles',
        'properties' => array( 'selector'   => '#content-pro ul.products span.price, #content-pro ul.products span.price span.amount' ),
 		 
    );
	 


	 
    $controls['progression_studios_shop_post_title'] = array(
        'name'       => 'progression_studios_shop_post_title',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Shop Post Title', 'xion-progression'),
        'tab'        => 'progression-studios-shop-styles',
        'properties' => array( 'selector'   => '#progression-studios-woocommerce-single-top h1.product_title' ),
 		 
    );
	 
    $controls['progression_studios_shop_post_price'] = array(
        'name'       => 'progression_studios_shop_post_price',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Shop Post Price', 'xion-progression'),
        'tab'        => 'progression-studios-shop-styles',
        'properties' => array( 'selector'   => '#progression-studios-woocommerce-single-top p.price, #progression-studios-woocommerce-single-top p.price span.amount' ),
 		 
    );
	 

	 
    $controls['progression_studios_shop_post_short_description'] = array(
        'name'       => 'progression_studios_shop_post_short_description',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Short Description', 'xion-progression'),
        'tab'        => 'progression-studios-shop-styles',
        'properties' => array( 'selector'   => '.woocommerce-product-details__short-description' ),
 		 
    );
	 
   
	 
    $controls['progression_studios_shop_post_tab'] = array(
        'name'       => 'progression_studios_shop_post_tab',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Shop Post Tab', 'xion-progression'),
        'tab'        => 'progression-studios-shop-styles',
        'properties' => array( 'selector'   => '#progression-studios-woocommerce-single-bottom .woocommerce-tabs ul.wc-tabs li a' ),
 		 
    );
	 
 	
    $controls['progression_studios_portfolio_index_title'] = array(
        'name'       => 'progression_studios_portfolio_index_title',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Game/Portfolio Title', 'xion-progression'),
        'tab'        => 'progression-studios-portfolio-archives',
        'properties' => array( 'selector'   => 'h2.progression-portfolio-title a' ),
 		 
    );
	 
	 
    $controls['progression_studios_portfolio_index_hover_title'] = array(
        'name'       => 'progression_studios_portfolio_index_hover_title',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Game/Portfolio Title Hover', 'xion-progression'),
        'tab'        => 'progression-studios-portfolio-archives',
        'properties' => array( 'selector'   => 'h2.progression-portfolio-title a:hover' ),
 		 
    );
	 
	 
    $controls['progression_studios_portfolio_index_excerpt'] = array(
        'name'       => 'progression_studios_portfolio_index_excerpt',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Game/Portfolio Excerpt', 'xion-progression'),
        'tab'        => 'progression-studios-portfolio-archives',
        'properties' => array( 'selector'   => '.progression-studios-portfolio-excerpt' ),
 		 
    );
	 
	 
    $controls['progression_studios_portfolio_index_cat'] = array(
        'name'       => 'progression_studios_portfolio_index_cat',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Game/Portfolio Category', 'xion-progression'),
        'tab'        => 'progression-studios-portfolio-archives',
        'properties' => array( 'selector'   => 'ul.portfolio-category-index li a' ),
 		 
    );
	 
	 
    $controls['progression_studios_portfolio_index_hover_cat'] = array(
        'name'       => 'progression_studios_portfolio_index_hover_cat',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Game/Portfolio Category Hover', 'xion-progression'),
        'tab'        => 'progression-studios-portfolio-archives',
        'properties' => array( 'selector'   => 'ul.portfolio-category-index li a:hover' ),
 		 
    );
	 
    $controls['progression_studios_portfolio_index_button'] = array(
        'name'       => 'progression_studios_portfolio_index_button',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Game/Portfolio Button', 'xion-progression'),
        'tab'        => 'progression-studios-portfolio-archives',
        'properties' => array( 'selector'   => 'a.progression-portfolio-button' ),
 		 
    );
	 
	 
    $controls['progression_studios_portfolio_index_hover_button'] = array(
        'name'       => 'progression_studios_portfolio_index_hover_button',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Game/Portfolio Button Hover', 'xion-progression'),
        'tab'        => 'progression-studios-portfolio-archives',
        'properties' => array( 'selector'   => 'a.progression-portfolio-button:hover' ),
 		 
    );
	 
	 
	 
    $controls['progression_studios_portfolio_post_title_font_family'] = array(
        'name'       => 'progression_studios_portfolio_post_title_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Post Title', 'xion-progression'),
        'tab'        => 'progression-studios-portfolio-post-title',
        'properties' => array( 'selector'   => 'body.single-portfolio_xion #page-title-pro h1' ),
 		 
    );
	 
	 
	 
    $controls['progression_studios_category_portfolio'] = array(
        'name'       => 'progression_studios_category_portfolio',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Category', 'xion-progression'),
        'tab'        => 'progression-studios-portfolio-post-title',
        'properties' => array( 'selector'   => 'ul.portfolio-category-single li a' ),
 		 
    );
	 
    $controls['progression_studios_category_hover_portfolio'] = array(
        'name'       => 'progression_studios_category_hover_portfolio',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Category Hover', 'xion-progression'),
        'tab'        => 'progression-studios-portfolio-post-title',
        'properties' => array( 'selector'   => 'ul.portfolio-category-single li a:hover' ),
 		 
    );
	
	

	 
	// Return the controls.
    return $controls;
}
add_filter( 'tt_font_get_option_parameters', 'progression_studios_add_control_to_tab' );