<?php
/**
 * Elementor Page Builder Functions
 *
 */


// Removes Elementor Global Defaults for Fonts, Colors, and Typography upon install RE:
// https://wordpress.org/support/topic/disable-global-options-upon-theme-activation/#post-8697159
// http://wpengineer.com/1705/set-options-on-activation-themes/
if ( is_admin() && isset($_GET['activated'] ) && $pagenow == 'themes.php' ) {
	update_option( 'elementor_disable_color_schemes', 'yes' );
	update_option( 'elementor_disable_typography_schemes', 'yes' );
}





function progression_wp_check_is_elementor(){
    global $post;
    return \Elementor\Plugin::$instance->db->is_built_with_elementor($post->ID);
}


add_action( 'wp_enqueue_scripts', function() {
	if ( ! class_exists( '\Elementor\Core\Files\CSS\Post' ) ) {
		return;
	}
    
   
    
    if ( get_theme_mod( 'progression_studios_footer_elementor_library') ) {
	$css_file_footer = new \Elementor\Core\Files\CSS\Post( get_theme_mod( 'progression_studios_footer_elementor_library')  );
	$css_file_footer->enqueue();
    }
	

    
}, 500 );
